GET merchants info · POS API
GET merchants info
/merchants/{qnipsUserName}/infoIn the response, you will receive a list of the 'brands' that are available for the 'merchant' with the specified 'qnipsUserName' in our system are deposited. Each brand-object can contain a list of 'outlets', each with an ID and a name. Example:
[ { "brandId": 1, "brand name": Caesar's, "outlets": [ { "Id": 1, "Name": "Caesar's Hemmingen - (Hemmingen, Rathausplatz square 6A)" }, { "Id": 2, "Name": "Caesar's Hannover - (Hannover, Weidendamm 8)" } ] } ]
| Return | Description |
|---|---|
brandName |
Name of the brand, which you could display, for example, in a drop-down box in the UI for selection. |
outlet.Id |
Id of the location entry (branch) . |
outlet.name |
Name of the store, which you could display in a drop-down box in the UI for selection, for example. |
You can now either create a new outlet using a 'brandId' selected by the user (see POST merchants/{qnipsUserName}/outlets) or continue with direct registration of a tracking unit using a selected outlet ID (see GET trackingUnits)
Parameter
qnipsUserNamestringErforderlichLet the merchant enter his 'qnipsUserName' and insert it here. The value should be escaped URL-compliant, as it may contain umlauts, e.g. 'hans.möller@firma.de' -> 'hans.m%C3%B6ller@firma.de'.
hans.m%C3%B6ller@firma.deRequest-Header
Acceptapplication/jsonDevKey{Your Key}Kontext: merchants
As described in the chapter Client registration, each client must register with our system as a trackingUnit first. For this registration we need a so called 'outletId' which helps us to immediately assign the trackingUnit to a real branch/location of a 'merchant'. An 'outletId' can be based on two different ways:
Retrieve existing 'brands' and 'outlets' to place a
trackingUnitto be registered in an existing 'outlet Install this as follows:- During menio activation, ask for the username of the menio account
- Execute GET merchants/{qnipsUserName}/info and display the result in the UI
- Let the operator select an 'outletId
- Register the 'trackingUnit' via GET trackingUnits
If your software has location information, consisting at least of postcode, city, street and street number, it is possible to enable an automatic export of the locations from your system to ours. If necessary, install this as follows:
- During menio activation, ask for the username of the menio account
- Execute GET merchants/{qnipsUserName}/info and display the result in the UI
- Let the operator select a 'brandId
- Create a new outlet in the Brand via POST merchants/{qnipsUserName}/outlets
- Register the 'trackingUnit' via GET trackingUnits
Originaler Blueprint-Ausschnitt
### GET merchants info [GET]
In the response, you will receive a list of the 'brands' that are available for the 'merchant' with the specified 'qnipsUserName' in our system
are deposited. Each brand-object can contain a list of 'outlets', each with an ID and a name. Example:
[
{
"brandId": 1,
"brand name": Caesar's,
"outlets": [
{
"Id": 1,
"Name": "Caesar's Hemmingen - (Hemmingen, Rathausplatz square 6A)"
},
{
"Id": 2,
"Name": "Caesar's Hannover - (Hannover, Weidendamm 8)"
}
]
}
]
| Return | Description |
| --- | --- |
|| ||brandId|||||Id of brand.
|`brandName`|Name of the brand, which you could display, for example, in a drop-down box in the UI for selection.|
|`outlet.Id`|Id of the location entry (branch) .|
|`outlet.name`|Name of the store, which you could display in a drop-down box in the UI for selection, for example.
You can now either create a new outlet using a 'brandId' selected by the user
(see *[POST merchants/{qnipsUserName}/outlets](#reference/merchants/outlet-erstellen/post-merchants/{qnipsusername}/outlets)*)
or continue with direct registration of a tracking unit using a selected outlet ID
(see *[GET trackingUnits](#reference/trackingunits/registrieren/get-trackingunits)*)
+ Parameters
+ qnipsUserName (string, `hans.m%C3%B6ller@firma.de`) ... Let the merchant enter his 'qnipsUserName' and insert it here. The value should be escaped URL-compliant, as it may contain umlauts, e.g. 'hans.möller@firma.de' -> 'hans.m%C3%B6ller@firma.de'.
+ Request
+ Headers
Accept: application/json
DevKey: {Your Key}
+ response 200
[
{
"brandId": 1,
"brand name": Caesar's,
"outlets": [
{
"Id": 1,
"Name": "Caesar's Hemmingen - (Hemmingen, Rathausplatz 6A)"
},
{
"Id": 2,
"Name": "Caesar's Hannover - (Hannover, Weidendamm 8)"
}
]
}
]
+ response 500
// HTTP-InternalServerError: An unknown problem occurred during processing
+ Response 401
// HTTP-Unauthorized: DevKey not specified or not available
+ response 404
// HTTP-NotFound: qnipsUserName unknown or has no brands